<Project Sdk="Microsoft.NET.Sdk.BlazorWebAssembly">

	<PropertyGroup>
		<TargetFramework>net9.0</TargetFramework>
		<Nullable>enable</Nullable>
		<ImplicitUsings>enable</ImplicitUsings>
		<ServiceWorkerAssetsManifest>service-worker-assets.js</ServiceWorkerAssetsManifest>
		<RunAOTCompilation>false</RunAOTCompilation>
		<UserSecretsId>ef618c0a-0813-4cb9-a3db-81757469494a</UserSecretsId>
	</PropertyGroup>

	<ItemGroup>
		<PackageReference Include="Bit.BlazorUI" Version="10.2.0" />
		<PackageReference Include="Microsoft.AspNetCore.Components.WebAssembly" Version="9.0.10" />
		<PackageReference Include="Microsoft.AspNetCore.Components.WebAssembly.DevServer" Version="9.0.10" PrivateAssets="all" />
		<PackageReference Include="Microsoft.AspNetCore.Mvc.Core" Version="2.3.0" />
		<PackageReference Include="Microsoft.Extensions.Http" Version="9.0.13" />
		<PackageReference Include="MudBlazor" Version="8.15.0" />
		<PackageReference Include="Radzen.Blazor" Version="8.3.5" />
	</ItemGroup>

	<ItemGroup>
		<ProjectReference Include="..\JSMR.Application\JSMR.Application.csproj" />
	</ItemGroup>

	<ItemGroup>
		<ServiceWorker Include="wwwroot\service-worker.js" PublishedContent="wwwroot\service-worker.published.js" />
	</ItemGroup>

</Project>
